Imagick::sigmoidalContrastImage
Imagick::solarizeImage
Imagick
PHP Manual

# Imagick::sketchImage

Simulates a pencil sketch

### Description

bool Imagick::sketchImage ( float `$radius` , float `$sigma` , float `$angle` )

Simulates a pencil sketch. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, radius should be larger than sigma. Use a radius of 0 and Imagick::sketchImage() selects a suitable radius for you. Angle gives the angle of the blurring motion. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`radius`

  The radius of the Gaussian, in pixels, not counting the center pixel

`sigma`

  The standard deviation of the Gaussian, in pixels.

`angle`

  Apply the effect along this angle.

### Return Values

Returns `TRUE` on success.